/*
 * $Id$
 * 
 * ============================================================================
 *
 * This file is part of Myra.
 *
 * Myra is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Myra is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Myra. If not, see <http://www.gnu.org/licenses/>.
 * 
 * Copyright (C) 2008  Fernando Esteban Barril Otero
 * 
 * ============================================================================
 */

package net.sf.myra.datamining;

import net.sf.myra.framework.NumericCost;

/**
 * @author Fernando Esteban Barril Otero
 * @version $Revision$ $Date::                     $
 */
public class NumericConfidenceFactor
	extends NumericCost
	implements ConfidenceFactor
{
	private static final long serialVersionUID = -9014594124388712732L;

	/**
	 * Default constructor.
	 * 
	 * @param value the confidence factor numeric value.
	 */
	public NumericConfidenceFactor(double value)
	{
		super(value);
	}

	@Override
	public NumericConfidenceFactor clone()
	{
		return (NumericConfidenceFactor) super.clone();
	}
}